FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2021 PLD Team
$Revision: 1.37 $
Powered by NSA.
Your IP: 3.236.124.56

gnome-shell 62e756f6-e79e-420f-8ecd-9f6708b20a94

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x86_64/FAIL/gnome-shell,62e756f6-e79e-420f-8ecd-9f6708b20a94.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2021/05/15 22:09:28
Runtime:0:00:02.604682

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.d5K4oq/BUILD/tmp/rpm-tmp.LA1t8P
  • build
  • Executing(%build): /bin/sh -e /tmp/B.d5K4oq/BUILD/tmp/rpm-tmp.lDjI91
  • error 3
  • meson.build:96:0: ERROR: Dependency "gnome-desktop-3.0" not found, tried pkgconfig and cmake
  • error 4
  • error: Bad exit status from /tmp/B.d5K4oq/BUILD/tmp/rpm-tmp.lDjI91 (%build)
  • error 5
  • RPM build errors:
  • error 6
  • error: No files produced.

Content:

request from: baggins
checking if we should skip the build
started at: Sat May 15 22:08:37 2021
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/62e756f6-e79e-420f-8ecd-9f6708b20a94/gnome-shell-40.1-1.src.rpm
fetched 1892263 bytes, 3817.9 K/s
installing srpm: gnome-shell-40.1-1.src.rpm
+ install -d /tmp/B.d5K4oq/BUILD /tmp/B.d5K4oq/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog gnome-shell-40.1-1.src.rpm
* Sat May 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-shell.git;a=log;h=master
* Fri May 14 2021 Jakub Bogusz <qboosh@pld-linux.org> c00fb6f
- updated to 40.1 * Tue Apr 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 95fb3a7
- updated to 40.0 - noarch bash-completion * Tue Mar 16 2021 Jakub Bogusz <qboosh@pld-linux.org> f066ba1
- updated to 3.38.4 - devel as noarch (only XML protocol files inside) - added bash-completion package * Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 100086c
- unconditional noarch subpackages * Fri Jan 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 48795f8
- updated to 3.38.3 * Thu Dec 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 875f8fa
- updated to 3.38.2 * Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> ce20bc4
- updated to 3.38.1 - removed obsolete gtkdoc patch * Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 2417c09
- updated to 3.38.0 (requires new gjs, indirectly requiring rust) - added gtkdoc patch * Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> 34ffe16
- release 2 (by relup.sh) * Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 05b502d
- updated to 3.36.6 * Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> c832286
- updated to 3.36.5 * Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> f111a3a
- updated to 3.36.4 * Mon Jun 08 2020 Jakub Bogusz <qboosh@pld-linux.org> e1a28f5
- updated to 3.36.3 * Fri May 01 2020 Jan Rękorajski <baggins@pld-linux.org> 899bb8e
- up to 3.36.2 * Thu Jan 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 868f228
- updated to 3.34.3 * Sat Dec 21 2019 Jakub Bogusz <qboosh@pld-linux.org> c42d8d5
- updated to 3.34.2 * Wed Nov 27 2019 Jakub Bogusz <qboosh@pld-linux.org> efd1d74
- s/gnome-themes-standard/adwaita-icon-theme/; release 3 * Thu Nov 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 66cfec9
- updated dependencies * Sat Oct 26 2019 Jan Rękorajski <baggins@pld-linux.org> ee1f5b8
- removed outdated dep - rel 2 * Fri Oct 25 2019 Jan Rękorajski <baggins@pld-linux.org> 4752e51
- up to 3.34.1 + rpm -Uhv --nodeps --define '_topdir /tmp/B.d5K4oq' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' gnome-shell-40.1-1.src.rpm Updating / installing... gnome-shell-40.1-1 ######################################## + rm -f gnome-shell-40.1-1.src.rpm + install -m 700 -d /tmp/B.d5K4oq/BUILD/tmp + TMPDIR=/tmp/B.d5K4oq/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.d5K4oq' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.d5K4oq/gnome-shell.spec warning: %changelog not in descending chronological order warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux checking BuildConflict-ing packages no BuildConflicts found checking BR rpm: warning: %changelog not in descending chronological order rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: clutter-devel >= 1.21.5 is needed by gnome-shell-40.1-1.x86_64 rpm: evolution-data-server-devel >= 3.33.1 is needed by gnome-shell-40.1-1.x86_64 rpm: gjs-devel >= 1.65.1 is needed by gnome-shell-40.1-1.x86_64 rpm: gnome-bluetooth-devel >= 3.9.0 is needed by gnome-shell-40.1-1.x86_64 rpm: gnome-desktop >= 3.36.0 is needed by gnome-shell-40.1-1.x86_64 rpm: gtk4-devel >= 4 is needed by gnome-shell-40.1-1.x86_64 rpm: libcanberra-gtk3-devel is needed by gnome-shell-40.1-1.x86_64 rpm: mutter-devel >= 40.0 is needed by gnome-shell-40.1-1.x86_64 rpm: python3-pygobject3 >= 3 is needed by gnome-shell-40.1-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date Retrieving th-test::packages.ndir.diff.toc.gz..............................................done Loading [pndir]th-test... Applying packages.ndir.2021.05.15-18.34.02.gz... Writing /root/.poldek-cache/[...]/packages.ndir.gz... Retrieving th-test::packages.ndir.diff.toc.gz..............................................done Retrieving diff::packages.ndir.2021.05.15-19.44.02.gz......................................done Loading [pndir]th-test... Applying packages.ndir.2021.05.15-19.44.02.gz... Writing /root/.poldek-cache/[...]/packages.ndir.gz... checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 32827 packages read poldek: Removed 3141 duplicate packages from available set poldek: Processing dependencies... poldek: evolution-data-server-devel-3.40.1-1.x86_64 marks evolution-data-server-libs-3.40.1-1.x86_64 (cap evolution-data-server-libs = 3.40.1-1) poldek: evolution-data-server-libs-3.40.1-1.x86_64 marks gtk-webkit4-2.32.0-1.x86_64 (cap gtk-webkit4 >= 2.28.0) poldek: gtk-webkit4-2.32.0-1.x86_64 marks gstreamer-gl-libs-1.16.3-1.x86_64 (cap libgstgl-1.0.so.0()(64bit)) poldek: evolution-data-server-libs-3.40.1-1.x86_64 marks evolution-data-server-3.40.1-1.x86_64 (cap libedbus-private.so()(64bit)) poldek: evolution-data-server-3.40.1-1.x86_64 marks gnome-online-accounts-libs-3.40.0-1.x86_64 (cap gnome-online-accounts-libs >= 3.8.0) poldek: evolution-data-server-3.40.1-1.x86_64 marks libgdata-0.18.1-1.x86_64 (cap libgdata >= 0.15.1) poldek: evolution-data-server-devel-3.40.1-1.x86_64 marks gcr-ui-devel-3.40.0-1.x86_64 (cap gcr-ui-devel >= 3.4.0) poldek: evolution-data-server-devel-3.40.1-1.x86_64 marks libgdata-devel-0.18.1-1.x86_64 (cap libgdata-devel >= 0.15.1) poldek: libgdata-devel-0.18.1-1.x86_64 marks gnome-online-accounts-devel-3.40.0-1.x86_64 (cap gnome-online-accounts-devel >= 3.8) poldek: clutter-devel-1.26.4-1.x86_64 marks clutter-1.26.4-1.x86_64 (cap clutter = 1.26.4-1) poldek: clutter-1.26.4-1.x86_64 marks cogl-1.22.8-1.x86_64 (cap cogl >= 1.22.0) poldek: clutter-devel-1.26.4-1.x86_64 marks cogl-devel-1.22.8-1.x86_64 (cap cogl-devel >= 1.22.0) poldek: gjs-devel-1.68.1-1.x86_64 marks gjs-1.68.1-1.x86_64 (cap gjs = 1.68.1-1) poldek: gnome-bluetooth-devel-3.34.5-1.x86_64 marks gnome-bluetooth-libs-3.34.5-1.x86_64 (cap gnome-bluetooth-libs = 3.34.5-1) poldek: gtk4-devel-4.2.1-1.x86_64 marks gtk4-4.2.1-1.x86_64 (cap gtk4 = 4.2.1-1) poldek: mutter-devel-40.0-1.x86_64 marks mutter-libs-40.0-1.x86_64 (cap mutter-libs = 40.0-1) poldek: mutter-libs-40.0-1.x86_64 marks xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64 (cap libxkbcommon-x11.so.0()(64bit)) poldek: mutter-devel-40.0-1.x86_64 marks Mesa-libGLES-devel-21.1.0-2.x86_64 (cap pkgconfig(glesv2)) poldek: There are 27 packages to install (18 marked by dependencies): poldek: A Mesa-libGLES-devel-21.1.0-2.x86_64 clutter-1.26.4-1.x86_64 poldek: A clutter-devel-1.26.4-1.x86_64 cogl-1.22.8-1.x86_64 poldek: A cogl-devel-1.22.8-1.x86_64 evolution-data-server-3.40.1-1.x86_64 poldek: A evolution-data-server-devel-3.40.1-1.x86_64 poldek: A evolution-data-server-libs-3.40.1-1.x86_64 gcr-ui-devel-3.40.0-1.x86_64 poldek: A gjs-1.68.1-1.x86_64 gjs-devel-1.68.1-1.x86_64 poldek: A gnome-bluetooth-devel-3.34.5-1.x86_64 poldek: A gnome-bluetooth-libs-3.34.5-1.x86_64 gnome-desktop-40.1-1.x86_64 poldek: A gnome-online-accounts-devel-3.40.0-1.x86_64 poldek: A gnome-online-accounts-libs-3.40.0-1.x86_64 poldek: A gstreamer-gl-libs-1.16.3-1.x86_64 gtk-webkit4-2.32.0-1.x86_64 poldek: A gtk4-4.2.1-1.x86_64 gtk4-devel-4.2.1-1.x86_64 poldek: A libcanberra-gtk3-devel-0.30-5.x86_64 libgdata-0.18.1-1.x86_64 poldek: A libgdata-devel-0.18.1-1.x86_64 mutter-devel-40.0-1.x86_64 poldek: A mutter-libs-40.0-1.x86_64 python3-pygobject3-3.40.1-1.x86_64 poldek: A xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64 poldek: This operation will use 190.6MB of disk space. poldek: Need to get 36.3MB of archives (36.3MB to download). poldek: poldek: Mesa-libGLES-devel-21.1.0-2.x86_64.rpm: digests OK poldek: Retrieving [1/26] th::cogl-1.22.8-1.x86_64.rpm.............................................done poldek: Retrieving [2/26] th::clutter-1.26.4-1.x86_64.rpm..........................................done poldek: Retrieving [3/26] th::cogl-devel-1.22.8-1.x86_64.rpm.......................................done poldek: Retrieving [4/26] th::clutter-devel-1.26.4-1.x86_64.rpm....................................done poldek: Retrieving [5/26] th::gstreamer-gl-libs-1.16.3-1.x86_64.rpm................................done poldek: Retrieving [6/26] th::gtk-webkit4-2.32.0-1.x86_64.rpm......................................done poldek: Retrieving [7/26] th::gnome-online-accounts-libs-3.40.0-1.x86_64.rpm..............................done poldek: Retrieving [8/26] th::libgdata-0.18.1-1.x86_64.rpm.........................................done poldek: Retrieving [9/26] th::evolution-data-server-libs-3.40.1-1.x86_64.rpm..............................done poldek: Retrieving [10/26] th::evolution-data-server-3.40.1-1.x86_64.rpm..............................done poldek: Retrieving [11/26] th::gcr-ui-devel-3.40.0-1.x86_64.rpm....................................done poldek: Retrieving [12/26] th::gnome-online-accounts-devel-3.40.0-1.x86_64.rpm..............................done poldek: Retrieving [13/26] th::libgdata-devel-0.18.1-1.x86_64.rpm..................................done poldek: Retrieving [14/26] th::evolution-data-server-devel-3.40.1-1.x86_64.rpm..............................done poldek: Retrieving [15/26] th::gnome-bluetooth-libs-3.34.5-1.x86_64.rpm..............................done poldek: Retrieving [16/26] th::gnome-bluetooth-devel-3.34.5-1.x86_64.rpm..............................done poldek: Retrieving [17/26] th::libcanberra-gtk3-devel-0.30-5.x86_64.rpm..............................done poldek: Retrieving [18/26] th::xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64.rpm..............................done poldek: Retrieving [19/26] th::mutter-libs-40.0-1.x86_64.rpm.......................................done poldek: Retrieving [20/26] th::mutter-devel-40.0-1.x86_64.rpm......................................done poldek: Retrieving [21/26] th::python3-pygobject3-3.40.1-1.x86_64.rpm..............................done poldek: cogl-1.22.8-1.x86_64.rpm: digests OK poldek: clutter-1.26.4-1.x86_64.rpm: digests OK poldek: cogl-devel-1.22.8-1.x86_64.rpm: digests OK poldek: clutter-devel-1.26.4-1.x86_64.rpm: digests OK poldek: gstreamer-gl-libs-1.16.3-1.x86_64.rpm: digests OK poldek: gtk-webkit4-2.32.0-1.x86_64.rpm: digests OK poldek: gnome-online-accounts-libs-3.40.0-1.x86_64.rpm: digests OK poldek: libgdata-0.18.1-1.x86_64.rpm: digests OK poldek: evolution-data-server-libs-3.40.1-1.x86_64.rpm: digests OK poldek: evolution-data-server-3.40.1-1.x86_64.rpm: digests OK poldek: gcr-ui-devel-3.40.0-1.x86_64.rpm: digests OK poldek: gnome-online-accounts-devel-3.40.0-1.x86_64.rpm: digests OK poldek: libgdata-devel-0.18.1-1.x86_64.rpm: digests OK poldek: evolution-data-server-devel-3.40.1-1.x86_64.rpm: digests OK poldek: gnome-bluetooth-libs-3.34.5-1.x86_64.rpm: digests OK poldek: gnome-bluetooth-devel-3.34.5-1.x86_64.rpm: digests OK poldek: libcanberra-gtk3-devel-0.30-5.x86_64.rpm: digests OK poldek: xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64.rpm: digests OK poldek: mutter-libs-40.0-1.x86_64.rpm: digests OK poldek: mutter-devel-40.0-1.x86_64.rpm: digests OK poldek: python3-pygobject3-3.40.1-1.x86_64.rpm: digests OK poldek: Retrieving [22/26] th-test::gjs-1.68.1-1.x86_64.rpm........................................done poldek: Retrieving [23/26] th-test::gjs-devel-1.68.1-1.x86_64.rpm..................................done poldek: Retrieving [24/26] th-test::gnome-desktop-40.1-1.x86_64.rpm................................done poldek: Retrieving [25/26] th-test::gtk4-4.2.1-1.x86_64.rpm........................................done poldek: Retrieving [26/26] th-test::gtk4-devel-4.2.1-1.x86_64.rpm..................................done poldek: gjs-1.68.1-1.x86_64.rpm: digests OK poldek: gjs-devel-1.68.1-1.x86_64.rpm: digests OK poldek: gnome-desktop-40.1-1.x86_64.rpm: digests OK poldek: gtk4-4.2.1-1.x86_64.rpm: digests OK poldek: gtk4-devel-4.2.1-1.x86_64.rpm: digests OK poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 0... poldek: warning: /root/.poldek-cache/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/cogl-1.22.8-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY poldek: Verifying... ######################################## poldek: Preparing... ######################################## no conflicts found checking BR rpm: warning: %changelog not in descending chronological order rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: clutter-devel >= 1.21.5 is needed by gnome-shell-40.1-1.x86_64 rpm: evolution-data-server-devel >= 3.33.1 is needed by gnome-shell-40.1-1.x86_64 rpm: gjs-devel >= 1.65.1 is needed by gnome-shell-40.1-1.x86_64 rpm: gnome-bluetooth-devel >= 3.9.0 is needed by gnome-shell-40.1-1.x86_64 rpm: gnome-desktop >= 3.36.0 is needed by gnome-shell-40.1-1.x86_64 rpm: gtk4-devel >= 4 is needed by gnome-shell-40.1-1.x86_64 rpm: libcanberra-gtk3-devel is needed by gnome-shell-40.1-1.x86_64 rpm: mutter-devel >= 40.0 is needed by gnome-shell-40.1-1.x86_64 rpm: python3-pygobject3 >= 3 is needed by gnome-shell-40.1-1.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux installing BR: gnome\-desktop clutter\-devel libcanberra\-gtk3\-devel mutter\-devel gjs\-devel gnome\-bluetooth\-devel gtk4\-devel python3\-pygobject3 evolution\-data\-server\-devel + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' --upgrade gnome-desktop clutter-devel libcanberra-gtk3-devel mutter-devel gjs-devel gnome-bluetooth-devel gtk4-devel python3-pygobject3 evolution-data-server-devel Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 32827 packages read Removed 3141 duplicate packages from available set Processing dependencies... evolution-data-server-devel-3.40.1-1.x86_64 marks evolution-data-server-libs-3.40.1-1.x86_64 (cap evolution-data-server-libs = 3.40.1-1) evolution-data-server-libs-3.40.1-1.x86_64 marks gtk-webkit4-2.32.0-1.x86_64 (cap gtk-webkit4 >= 2.28.0) gtk-webkit4-2.32.0-1.x86_64 marks gstreamer-gl-libs-1.16.3-1.x86_64 (cap libgstgl-1.0.so.0()(64bit)) evolution-data-server-libs-3.40.1-1.x86_64 marks evolution-data-server-3.40.1-1.x86_64 (cap libedbus-private.so()(64bit)) evolution-data-server-3.40.1-1.x86_64 marks gnome-online-accounts-libs-3.40.0-1.x86_64 (cap gnome-online-accounts-libs >= 3.8.0) evolution-data-server-3.40.1-1.x86_64 marks libgdata-0.18.1-1.x86_64 (cap libgdata >= 0.15.1) evolution-data-server-devel-3.40.1-1.x86_64 marks gcr-ui-devel-3.40.0-1.x86_64 (cap gcr-ui-devel >= 3.4.0) evolution-data-server-devel-3.40.1-1.x86_64 marks libgdata-devel-0.18.1-1.x86_64 (cap libgdata-devel >= 0.15.1) libgdata-devel-0.18.1-1.x86_64 marks gnome-online-accounts-devel-3.40.0-1.x86_64 (cap gnome-online-accounts-devel >= 3.8) There are 10 packages to install (9 marked by dependencies): A evolution-data-server-3.40.1-1.x86_64 A evolution-data-server-devel-3.40.1-1.x86_64 A evolution-data-server-libs-3.40.1-1.x86_64 gcr-ui-devel-3.40.0-1.x86_64 A gnome-online-accounts-devel-3.40.0-1.x86_64 A gnome-online-accounts-libs-3.40.0-1.x86_64 A gstreamer-gl-libs-1.16.3-1.x86_64 gtk-webkit4-2.32.0-1.x86_64 A libgdata-0.18.1-1.x86_64 libgdata-devel-0.18.1-1.x86_64 This operation will use 117.4MB of disk space. evolution-data-server-devel-3.40.1-1.x86_64.rpm: digests OK evolution-data-server-libs-3.40.1-1.x86_64.rpm: digests OK gtk-webkit4-2.32.0-1.x86_64.rpm: digests OK gstreamer-gl-libs-1.16.3-1.x86_64.rpm: digests OK evolution-data-server-3.40.1-1.x86_64.rpm: digests OK gnome-online-accounts-libs-3.40.0-1.x86_64.rpm: digests OK libgdata-0.18.1-1.x86_64.rpm: digests OK gcr-ui-devel-3.40.0-1.x86_64.rpm: digests OK libgdata-devel-0.18.1-1.x86_64.rpm: digests OK gnome-online-accounts-devel-3.40.0-1.x86_64.rpm: digests OK Need to get 24.3MB of archives. gstreamer-gl-libs-1.16.3-1.x86_64.rpm: digests OK gtk-webkit4-2.32.0-1.x86_64.rpm: digests OK gnome-online-accounts-libs-3.40.0-1.x86_64.rpm: digests OK libgdata-0.18.1-1.x86_64.rpm: digests OK evolution-data-server-libs-3.40.1-1.x86_64.rpm: digests OK evolution-data-server-3.40.1-1.x86_64.rpm: digests OK gcr-ui-devel-3.40.0-1.x86_64.rpm: digests OK gnome-online-accounts-devel-3.40.0-1.x86_64.rpm: digests OK libgdata-devel-0.18.1-1.x86_64.rpm: digests OK evolution-data-server-devel-3.40.1-1.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.poldek-cache/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/gstreamer-gl-libs-1.16.3-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... gcr-ui-devel-3.40.0-1 ######################################## gstreamer-gl-libs-1.16.3-1 ######################################## gtk-webkit4-2.32.0-1 ######################################## gnome-online-accounts-libs-3.40.0-1 ######################################## libgdata-0.18.1-1 ######################################## evolution-data-server-3.40.1-1 ######################################## Warning: Schema ?org.gnome.system.locale? has path ?/system/locale/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy? has path ?/system/proxy/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.http? has path ?/system/proxy/http/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.https? has path ?/system/proxy/https/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.ftp? has path ?/system/proxy/ftp/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.socks? has path ?/system/proxy/socks/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. evolution-data-server-libs-3.40.1-1 ######################################## gnome-online-accounts-devel-3.40.0-1 ######################################## libgdata-devel-0.18.1-1 ######################################## evolution-data-server-devel-3.40.1-1 ######################################## Installing set #2 Processing dependencies... There are 1 package to install: A python3-pygobject3-3.40.1-1.x86_64 This operation will use 1.3MB of disk space. python3-pygobject3-3.40.1-1.x86_64.rpm: digests OK Need to get 294.3KB of archives. python3-pygobject3-3.40.1-1.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.poldek-cache/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/python3-pygobject3-3.40.1-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... python3-pygobject3-3.40.1-1 ######################################## Installing set #3 Processing dependencies... gnome-bluetooth-devel-3.34.5-1.x86_64 marks gnome-bluetooth-libs-3.34.5-1.x86_64 (cap gnome-bluetooth-libs = 3.34.5-1) There are 3 packages to install (1 marked by dependencies): A gnome-bluetooth-devel-3.34.5-1.x86_64 A gnome-bluetooth-libs-3.34.5-1.x86_64 gnome-desktop-40.1-1.x86_64 This operation will use 3.2MB of disk space. gnome-desktop-40.1-1.x86_64.rpm: digests OK gnome-bluetooth-devel-3.34.5-1.x86_64.rpm: digests OK gnome-bluetooth-libs-3.34.5-1.x86_64.rpm: digests OK Need to get 649.7KB of archives. gnome-bluetooth-libs-3.34.5-1.x86_64.rpm: digests OK gnome-bluetooth-devel-3.34.5-1.x86_64.rpm: digests OK gnome-desktop-40.1-1.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.poldek-cache/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/gnome-bluetooth-libs-3.34.5-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... gnome-bluetooth-libs-3.34.5-1 ######################################## gnome-bluetooth-devel-3.34.5-1 ######################################## gnome-desktop-40.1-1 ######################################## Installing set #4 Processing dependencies... clutter-devel-1.26.4-1.x86_64 marks clutter-1.26.4-1.x86_64 (cap clutter = 1.26.4-1) clutter-1.26.4-1.x86_64 marks cogl-1.22.8-1.x86_64 (cap cogl >= 1.22.0) clutter-devel-1.26.4-1.x86_64 marks cogl-devel-1.22.8-1.x86_64 (cap cogl-devel >= 1.22.0) There are 4 packages to install (3 marked by dependencies): A clutter-1.26.4-1.x86_64 clutter-devel-1.26.4-1.x86_64 A cogl-1.22.8-1.x86_64 cogl-devel-1.22.8-1.x86_64 This operation will use 14.3MB of disk space. clutter-devel-1.26.4-1.x86_64.rpm: digests OK clutter-1.26.4-1.x86_64.rpm: digests OK cogl-1.22.8-1.x86_64.rpm: digests OK cogl-devel-1.22.8-1.x86_64.rpm: digests OK Need to get 2.0MB of archives. cogl-1.22.8-1.x86_64.rpm: digests OK clutter-1.26.4-1.x86_64.rpm: digests OK cogl-devel-1.22.8-1.x86_64.rpm: digests OK clutter-devel-1.26.4-1.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.poldek-cache/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/cogl-1.22.8-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... cogl-1.22.8-1 ######################################## clutter-1.26.4-1 ######################################## cogl-devel-1.22.8-1 ######################################## clutter-devel-1.26.4-1 ######################################## Installing set #5 Processing dependencies... There are 1 package to install: A libcanberra-gtk3-devel-0.30-5.x86_64 This operation will use 265.0B of disk space. libcanberra-gtk3-devel-0.30-5.x86_64.rpm: digests OK Need to get 3.9KB of archives. libcanberra-gtk3-devel-0.30-5.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.poldek-cache/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/libcanberra-gtk3-devel-0.30-5.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... libcanberra-gtk3-devel-0.30-5 ######################################## Installing set #6 Processing dependencies... gjs-devel-1.68.1-1.x86_64 marks gjs-1.68.1-1.x86_64 (cap gjs = 1.68.1-1) There are 2 packages to install (1 marked by dependencies): A gjs-1.68.1-1.x86_64 gjs-devel-1.68.1-1.x86_64 This operation will use 1.4MB of disk space. gjs-devel-1.68.1-1.x86_64.rpm: digests OK gjs-1.68.1-1.x86_64.rpm: digests OK Need to get 434.5KB of archives. gjs-1.68.1-1.x86_64.rpm: digests OK gjs-devel-1.68.1-1.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... Verifying... ######################################## Preparing... ######################################## Updating / installing... gjs-1.68.1-1 ######################################## gjs-devel-1.68.1-1 ######################################## Installing set #7 Processing dependencies... gtk4-devel-4.2.1-1.x86_64 marks gtk4-4.2.1-1.x86_64 (cap gtk4 = 4.2.1-1) There are 2 packages to install (1 marked by dependencies): A gtk4-4.2.1-1.x86_64 gtk4-devel-4.2.1-1.x86_64 This operation will use 42.5MB of disk space. gtk4-devel-4.2.1-1.x86_64.rpm: digests OK gtk4-4.2.1-1.x86_64.rpm: digests OK Need to get 6.9MB of archives. gtk4-4.2.1-1.x86_64.rpm: digests OK gtk4-devel-4.2.1-1.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... Verifying... ######################################## Preparing... ######################################## Updating / installing... gtk4-4.2.1-1 ######################################## Warning: Schema ?org.gnome.system.locale? has path ?/system/locale/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy? has path ?/system/proxy/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.http? has path ?/system/proxy/http/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.https? has path ?/system/proxy/https/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.ftp? has path ?/system/proxy/ftp/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. Warning: Schema ?org.gnome.system.proxy.socks? has path ?/system/proxy/socks/?. Paths starting with ?/apps/?, ?/desktop/? or ?/system/? are deprecated. gtk4-devel-4.2.1-1 ######################################## Installing set #8 Processing dependencies... mutter-devel-40.0-1.x86_64 marks mutter-libs-40.0-1.x86_64 (cap mutter-libs = 40.0-1) mutter-libs-40.0-1.x86_64 marks xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64 (cap libxkbcommon-x11.so.0()(64bit)) mutter-devel-40.0-1.x86_64 marks Mesa-libGLES-devel-21.1.0-2.x86_64 (cap pkgconfig(glesv2)) There are 4 packages to install (3 marked by dependencies): A Mesa-libGLES-devel-21.1.0-2.x86_64 mutter-devel-40.0-1.x86_64 A mutter-libs-40.0-1.x86_64 xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64 This operation will use 10.7MB of disk space. mutter-devel-40.0-1.x86_64.rpm: digests OK mutter-libs-40.0-1.x86_64.rpm: digests OK xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64.rpm: digests OK Need to get 1.8MB of archives. Mesa-libGLES-devel-21.1.0-2.x86_64.rpm: digests OK xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64.rpm: digests OK mutter-libs-40.0-1.x86_64.rpm: digests OK mutter-devel-40.0-1.x86_64.rpm: digests OK Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 0... warning: /root/.poldek-cache/ftp_ep09.pld-linux.org.dists.th.PLD.x86.64.RPMS/xorg-lib-libxkbcommon-x11-1.3.0-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY Verifying... ######################################## Preparing... ######################################## Updating / installing... xorg-lib-libxkbcommon-x11-1.3.0-1 ######################################## mutter-libs-40.0-1 ######################################## Mesa-libGLES-devel-21.1.0-2 ######################################## mutter-devel-40.0-1 ######################################## building RPM using: set -ex; : build-id: 62e756f6-e79e-420f-8ecd-9f6708b20a94; TMPDIR=/tmp/B.d5K4oq/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.d5K4oq' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.d5K4oq/gnome-shell.spec + : build-id: 62e756f6-e79e-420f-8ecd-9f6708b20a94 + TMPDIR=/tmp/B.d5K4oq/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.d5K4oq' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.d5K4oq/gnome-shell.spec warning: %changelog not in descending chronological order warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux Executing(%prep): /bin/sh -e /tmp/B.d5K4oq/BUILD/tmp/rpm-tmp.LA1t8P + umask 022 + cd /tmp/B.d5K4oq/BUILD + cd /tmp/B.d5K4oq/BUILD + rm -rf gnome-shell-40.1 + /usr/bin/xz -dc /tmp/B.d5K4oq/gnome-shell-40.1.tar.xz + /bin/tar -xof - + STATUS=0 + '[' 0 -ne 0 ']' + cd gnome-shell-40.1 + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + /bin/sed -i -e '/^libshew =/ s/ library/ shared_library/' subprojects/shew/src/meson.build + RPM_EC=0 + jobs -p + exit 0 Executing(%build): /bin/sh -e /tmp/B.d5K4oq/BUILD/tmp/rpm-tmp.lDjI91 TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/bin:/usr/bin:/usr/local/bin:/home/users/builder/bin TMPDIR=/tmp/B.d5K4oq/BUILD/tmp + umask 022 + cd /tmp/B.d5K4oq/BUILD + cd gnome-shell-40.1 + CC=x86_64-pld-linux-gcc CXX=x86_64-pld-linux-g++ CFLAGS='-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' CPPFLAGS='' CXXFLAGS='-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' LDFLAGS='-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' LC_ALL=C.UTF-8 /usr/bin/meson '--buildtype=plain' '--bindir=/usr/bin' '--datadir=/usr/share' '--includedir=/usr/include' '--infodir=/usr/share/info' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localedir=/usr/share/locale' '--localstatedir=/var' '--mandir=/usr/share/man' '--prefix=/usr' '--sbindir=/usr/sbin' '--sharedstatedir=/var/lib' '--sysconfdir=/etc' '--wrap-mode=nodownload' '--default-library=both' build '-Dgtk_doc=true' The Meson build system Version: 0.57.1 Source dir: /tmp/B.d5K4oq/BUILD/gnome-shell-40.1 Build dir: /tmp/B.d5K4oq/BUILD/gnome-shell-40.1/build Build type: native build Project name: gnome-shell Project version: 40.1 C compiler for the host machine: x86_64-pld-linux-gcc (gcc 10.3.0 "x86_64-pld-linux-gcc (PLD-Linux) 10.3.0 20210408 (release)") C linker for the host machine: x86_64-pld-linux-gcc ld.bfd 2.36.1 Host machine cpu family: x86_64 Host machine cpu: x86_64 Found pkg-config: /usr/bin/pkg-config (0.29.2) Run-time dependency gnome-keybindings found: YES 40.0 Run-time dependency atk-bridge-2.0 found: YES 2.38.0 Run-time dependency libecal-2.0 found: YES 3.40.1 Run-time dependency libedataserver-1.2 found: YES 3.40.1 Run-time dependency gcr-base-3 found: YES 3.40.0 Run-time dependency gdk-x11-3.0 found: YES 3.24.29 Run-time dependency gdk-pixbuf-2.0 found: YES 2.42.6 Run-time dependency gobject-introspection-1.0 found: YES 1.68.0 Run-time dependency gio-2.0 found: YES 2.68.2 Run-time dependency gio-unix-2.0 found: YES 2.68.2 Run-time dependency gjs-1.0 found: YES 1.68.1 Run-time dependency gmodule-2.0 found: YES 2.68.2 Run-time dependency gtk+-3.0 found: YES 3.24.29 Run-time dependency libxml-2.0 found: YES 2.9.12 Run-time dependency mutter-clutter-8 found: YES 40.0 Run-time dependency mutter-cogl-8 found: YES 40.0 Run-time dependency mutter-cogl-pango-8 found: YES 40.0 Run-time dependency libmutter-8 found: YES 40.0 Run-time dependency polkit-agent-1 found: YES 0.118 Run-time dependency libstartup-notification-1.0 found: YES 0.12 Run-time dependency ibus-1.0 found: YES 1.5.24 Run-time dependency x11 found: YES 1.7.0 Run-time dependency gsettings-desktop-schemas found: YES 40.0 Found CMake: /usr/bin/cmake (3.17.2) Run-time dependency gnome-desktop-3.0 found: NO (tried pkgconfig and cmake) meson.build:96:0: ERROR: Dependency "gnome-desktop-3.0" not found, tried pkgconfig and cmake A full log can be found at /tmp/B.d5K4oq/BUILD/gnome-shell-40.1/build/meson-logs/meson-log.txt error: Bad exit status from /tmp/B.d5K4oq/BUILD/tmp/rpm-tmp.lDjI91 (%build) RPM build errors: %changelog not in descending chronological order Could not canonicalize hostname: ymir Bad exit status from /tmp/B.d5K4oq/BUILD/tmp/rpm-tmp.lDjI91 (%build) ended at: Sat May 15 22:09:28 2021, done in 0:00:02.604682 error: No files produced. + chmod -R u+rwX /tmp/B.d5K4oq/BUILD + rm -rf /tmp/B.d5K4oq/tmp /tmp/B.d5K4oq/BUILD + rm -rf /tmp/B.d5K4oq Begin-PLD-Builder-Info Build-Time: user:23.66s sys:5.94s real:51.91s (faults io:144 non-io:859755) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]